Bug 739307 - inconsistent permissions on /dev/pts/ptmx after boot
Summary: inconsistent permissions on /dev/pts/ptmx after boot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-17 12:31 UTC by Mads Kiilerich
Modified: 2011-10-09 19:36 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.10.0-38.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-09 19:36:00 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-09-17 12:31:32 UTC
# restorecon -rvn /dev
restorecon reset /dev/pts/ptmx context system_u:object_r:devpts_t:s0->system_u:object_r:ptmx_t:s0

I would expect the file to be labeled correctly in the first place.

selinux-policy-targeted-3.10.0-29.1.fc16.noarch
libselinux-2.1.5-5.fc16.x86_64
udev-173-3.fc16.x86_64
systemd-35-1.fc16.x86_64
dracut-013-8.fc16.noarch
kernel-3.1.0-0.rc6.git0.0.fc16.x86_64

Comment 1 Mads Kiilerich 2011-09-21 14:51:06 UTC
this has _not_ been fixed by 
selinux-policy-targeted-3.10.0-32.fc16.noarch

Comment 2 Daniel Walsh 2011-09-21 14:57:48 UTC
Yes we know, we are not sure what is causing it but it does not seem to cause any problems.

I am not even sure what the difference between the two files is.

 ls -lZ /dev/ptmx /dev/pts/ptmx 
crw-rw-rw-. root tty  system_u:object_r:ptmx_t:s0      /dev/ptmx
c---------. root root system_u:object_r:devpts_t:s0    /dev/pts/ptmx


Maybe we should just change the label of /dev/pts/ptmx to devpts_t and forget about it.  It does not look like this device path is used.

Comment 3 Mads Kiilerich 2011-09-21 15:10:40 UTC
$0.05 of observations and opinions:

crw-rw-rw-. 1 root tty  5, 2 Sep 21 11:04 /dev/ptmx
c---------. 1 root root 5, 2 Sep 21 10:44 /dev/pts/ptmx

- so it is the same device but /dev/ptmx can actually be used and follows the local OS policy for unix access control. I guess devpts is for "internal" low-level use only, so it could make sense that they have different labels.

Comment 4 Daniel Walsh 2011-09-21 15:25:51 UTC
Ok I am just going to remove the label so that the tools will not complain, and see if it ends up causing any problems, which it has not so far.

Fixed in selinux-policy-3.10.0-33.fc16

Comment 5 Fedora Update System 2011-10-04 11:16:56 UTC
selinux-policy-3.10.0-36.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-36.fc16

Comment 6 Fedora Update System 2011-10-04 20:49:41 UTC
Package selinux-policy-3.10.0-36.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-36.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-36.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-10-09 19:36:00 UTC
selinux-policy-3.10.0-38.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.